#include<stdio.h>
#include<stdlib.h>
#include"lista.h"
#include"listaenc.h"

int main()
{
    lista_t * l = lst_criar();

    for (int i=0;i<5;i++){
        lst_inserir(l,elem_criar(i));
    }

    printf("Lista inicial\n");
    lst_imprimir(l);

    printf("Remover o elemento %d\n",3);
    lst_remover(l,3);
    lst_imprimir(l);

    printf("Remover o elemento %d\n",1);
    lst_remover(l,1);
    lst_imprimir(l);

    printf("Remover o elemento %d\n",2);
    lst_remover(l,2);
    lst_imprimir(l);

    printf("Remover o elemento %d\n",0);
    lst_remover(l,0);
    lst_imprimir(l);

    lista_enc_t * lenc = lstenc_criar();

    lstenc_inserir(lenc,elem_criar(1));
    lstenc_inserir(lenc,elem_criar(2));
    lstenc_inserir(lenc,elem_criar(3));
    lstenc_inserir(lenc,elem_criar(4));
    lstenc_inserir(lenc,elem_criar(5));

    lstenc_imprimir(lenc);

    elem_t *e;
    while ((e = lstenc_remover_primeiro(lenc))!=NULL){
        printf("Elemento %d removido\n",elem_get_id(e));
        lstenc_imprimir(lenc);
    }




    return 0;
}
